Bug 71786 - FILESAVE: glossary folder is not exported back in DOCX
Summary: FILESAVE: glossary folder is not exported back in DOCX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium major
Assignee: Vinaya Mandke
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-19 13:31 UTC by Vinaya Mandke
Modified: 2014-01-03 12:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
original file contacting /word/glossary folder (25.14 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-11-19 13:31 UTC, Vinaya Mandke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2013-11-19 13:31:49 UTC
Created attachment 89464 [details]
original file contacting /word/glossary folder

Docx files contain a glossary folder. This folder is not exported saved again to docx.

Steps to reproduce.
1. Open file in LO
2. Save to DOCX
3. Unzip the saved and original file.
4. Compare the folder structure: original file has /word/glossary/ folder which is missing in the saved file.
Comment 1 Commit Notification 2013-12-13 10:20:18 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88b9e7f391910e534b0faf7378ec4c6929d4d44a

fdo#71786 : Implemented Glossary folder



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 retired 2013-12-13 12:59:12 UTC
Rohit: can this be set to FIXED already?